.video-popup-block {
  position: relative;
  margin: 20px 0;
}

.video-popup-thumbnail {
  position: relative;
  display: inline-block;
  width: 100%;
}

.video-popup-thumbnail img {
  width: 100%;
}

.video-popup-trigger {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  /* padding: 10px 20px; */
  background: #cca44f;
  color: #fff;
  border: none;
  cursor: pointer;
  transition: opacity 0.3s;
  /* opacity: 0.5; */
}

.video-popup-modal {
  position: fixed;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 100%;
  transform: translate(-50%, -50%);
  background: rgba(0, 0, 0, 0.8);
  display: none;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

.video-popup-modal.popup-active {
  display: flex !important;
}

.video-popup-content {
  position: relative;
  background: #fff;
  padding: 2px;
  max-width: 90%;
  width: 1000px;
}

.video-popup-content iframe {
  width: 100%;
  height: 500px;
  vertical-align: middle;
}

.video-popup-close {
  position: absolute;
  top: -42px;
  right: -2px;
  background: var(--primary-color);
  color: #fff;
  font-size: 24px;
  border: none;
  padding: 5px 10px;
  cursor: pointer;
}

.play-video {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 50%;
  left: 50%;
  height: 60px;
  width: 60px;
  transform: translate(-50%, -50%);
  border-radius: 50%;
  z-index: 999;
}

.play-video svg {
  margin-left: 5px;
}

/* **************** Play Icon ****************** */
.play-video__wave {
  position: absolute;
  /* z-index: -1; */
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  /* width: 170px;
  height: 170px; */
}

.play-video__wave div:nth-child(1) {
  --opacity: 1;
  width: 110px;
  height: 110px;
  --delay: 0s;
}

/* .play-video__wave div:nth-child(2) {
  --opacity: 0.3;
  width: 140px;
  height: 140px;
  --delay: 0.4s;
}

.play-video__wave div:nth-child(3) {
  --opacity: 0.2;
  width: 170px;
  height: 170px;
  --delay: 0.8s;
} */

.play-video__wave > div {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 50%;
  border: 1px solid #fff;
  background-color: rgba(207, 204, 186, 0.5);
  animation: play-wave 4000ms calc(400ms + var(--delay, 0s)) infinite backwards;
}

@keyframes play-wave {
  0% {
    opacity: 0;
    transform: translate(-50%, -50%) scale(0.7);
  }

  40%,
  50% {
    opacity: var(--opacity);
    transform: translate(-50%, -50%) scale(1);
  }

  100% {
    opacity: 0;
  }
}

@media (max-width: 767px) {
  .play-video {
    height: 50px;
    width: 50px;
  }

  .play-video__wave div:nth-child(1) {
    width: 90px;
    height: 90px;
  }
}

@media (max-width: 575px) {
  .play-video {
    height: 40px;
    width: 40px;
  }

  .play-video__wave div:nth-child(1) {
    width: 70px;
    height: 70px;
  }

  .play-video svg {
    width: 18px;
    height: 18px;
  }
}

.components-base-control {
  padding-inline: 12px;
}
